# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTIBILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

# PANELS
from .lib.panels.uw_interactions_pnl import UW_PT_Interactions_Panel
from .lib.panels.uw_physics_pnl import UW_PT_Physics_Panel
from .lib.panels.uw_material_pnl import UW_PT_Material_Panel

# OPERATORS
from .lib.operators.interactions.uw_createSpawnPoint import UW_OT_CreateSpawnPoint

from .lib.operators.physics.uw_generatePhysics import UW_AddPhysicsToSelectedObject

from .lib.operators.materialGenerators.uw_removeMat import UW_OT_RemoveMaterialFromActive
from .lib.operators.materialGenerators.uw_ocean import UW_OT_AddOceanMaterialToActive

# BPY
import bpy
bl_info = {
    "name": "UltimateWorldBuilder",
    "author": "Vivasvan",
    "description": "",
    "blender": (2, 80, 0),
    "version": (0, 0, 1),
    "location": "View3D",
    "warning": "",
    "category": "Object"
}


operator_classes = (UW_OT_AddOceanMaterialToActive, UW_OT_RemoveMaterialFromActive,
                    UW_AddPhysicsToSelectedObject, UW_OT_CreateSpawnPoint)
panel_classes = (UW_PT_Material_Panel, UW_PT_Physics_Panel,
                 UW_PT_Interactions_Panel)

classes = operator_classes + panel_classes


def register():
    for c in classes:
        bpy.utils.register_class(c)


def unregister():
    for c in classes:
        bpy.utils.unregister_class(c)
