import bpy

from bpy.types import Operator

class UW_OT_RemoveMaterialFromActive(Operator):
    bl_idname = "uw_material.remove_materials_from_object"
    bl_label = "Remove Material"
    bl_description = "Remove Material/s from the selected object."
    
    
    @classmethod
    def poll(cls,context):
        obj = context.object
        
        if obj is not None:
            if obj.mode== "OBJECT":
                return True
            
        return False
    

    def execute(self,context):
        ob = bpy.context.active_object
        bpy.ops.object.transform_apply(location=False, rotation=False, scale=True)

        # Get material
        mats = ob.material_slots
        if mats is None or mats == []:
            return {'FINISHED'}
            
        ob.active_material_index = 0
        for i in range(len(ob.material_slots)):
            bpy.ops.object.material_slot_remove({'object': ob})
        
        return {'FINISHED'}